Subject: Re: pkg/32000: PHP 4.1.1 is unstable
To: None <,,>
From: Manuel Bouyer <>
List: pkgsrc-bugs
Date: 11/19/2005 15:23:02
The following reply was made to PR pkg/32000; it has been noted by GNATS.

From: Manuel Bouyer <>
To: Urban Boquist <>
Cc: Martti Kuparinen <>,
Subject: Re: pkg/32000: PHP 4.1.1 is unstable
Date: Sat, 19 Nov 2005 16:21:53 +0100

 On Sat, Nov 19, 2005 at 03:47:27PM +0100, Urban Boquist wrote:
 > Any news on the PHP / Squirrelmail problem?
 > I just upgraded all packages on a machine running NetBSD/i386 2.1 and
 > squirrelmail no longer works. I don't get any signal 11's but I get:
 >   [Sat Nov 19 15:14:16 2005] [error] [client] PHP Fatal error:  
 >   Maximum execution time of 30 seconds exceeded in
 >   /usr/pkg/share/squirrelmail/src/read_body.php on line 98,
 >   referer: http://a.b.c.d/mail/src/right_main.php
 > as soon as I try to view a message. The initial Subjects screen
 > display fine.
 > This is with apache-2.0.55nb2, squirrelmail-1.4.5nb, php-4.4.1nb2 and
 > ap-php-4.4.1nb2.
 Is this from the pkgsrc-2005Q3 branch, or HEAD ?
 This really sounds like the issue I had without php4/patches/patch-ab,
 but patch-ab fixed the issue for me.
 BTW, I have
 max_execution_time = 60     ; Maximum execution time of each script, in seconds
 max_input_time = 120    ; Maximum amount of time each script may spend parsing request data
 memory_limit = 12M      ; Maximum amount of memory a script may consume (12MB)
 in my php.ini, but I don't remember why
 Manuel Bouyer <>
      NetBSD: 26 ans d'experience feront toujours la difference